<template>
  <div class="dashboard-main">
    <div class="row m-0 dashboard-main-container">
      <div class="col-12 h5 mb-4"></div>
      <div
        class="col-12 col-md-12 col-xl-4 trend-list"
        v-for="(list, count) in realtimeGet"
        :key="count"
      >
        <div
          class="box text-left w-100"
          v-b-toggle="`collapse-${count}`"
          :class="{ 'bg-blue1': list.sentiment == 'Negative' }"
        >
          <div style="word-wrap: break-word">
            {{
              list.tokenize
                .split(",")
                .slice(0, 8)
                .join()
                .replace(/,/g, "")
            }}...
          </div>
          <b-collapse :id="`collapse-${count}`">
            <hr />
            <div>
              <a :href="list.linktosource" target="_blank">SOURCE</a><br />
            </div>
            <div>TYPE: {{ list.message_type }}</div>
            <div>BRAND: {{ list.brand.join(", ") }}</div>
            <div>TAG: {{ list.message_tag.join(", ") }}</div>
            <div>SENTIMENT: {{ list.sentiment }}</div>
            <hr />
            <button type="button" class="button1 w-100" @click="popup()">
              Reply
            </button>
          </b-collapse>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Action, Getter } from "vuex-class";

const namespace: string = "dashboard";

@Component({
  name: "Dashboard_Main"
})
export default class Dashboard_Main extends Vue {
  @Action("queryRealtime", { namespace }) queryRealtime!: any;
  @Getter("realtimeGet", { namespace }) realtimeGet!: object;

  mounted() {
    this.queryRealtime();
  }

  popup() {
    this.$swal({
      title: "Enter reply message",
      input: "text",
      confirmButtonText: "Reply"
    }).then(() => {
      this.$swal({
        type: "success",
        title: "Reply to the post"
      });
    });
  }
}
</script>

<style>
</style>
